## squid 6.13

=== debian/changelog ===
squid (6.13-0ubuntu0.24.04.3) noble-security; urgency=medium

  * SECURITY UPDATE: HTTP Authentication credential leak
    - debian/patches/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h.
    - CVE-2025-62168

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 23 Oct 2025 10:35:09 -0230

squid (6.13-0ubuntu0.24.04.2) noble-security; urgency=medium

  * SECURITY UPDATE: ASN.1 encoding mishandling
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP
      OIDs in lib/snmplib/asn1.c.
    - CVE-2025-59362

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Oct 2025 09:35:08 -0400

squid (6.13-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version 6.13 (LP: #2085197)
    - Fix getting stuck when RESPMOD is slower than read(2)
    - Fix large uploads fill request buffer and die
    - Fix GCC v14 build [-Wmaybe-uninitialized]
    - Fix GCC v14 [-Wanalyzer-null-dereference] warnings in Kerberos
    - Fix nil request dereference in ACLExtUser and SourceDomainCheck ACLs
    - Fix systemd startup sequence to require active Local Filesystem
    - Fix validation of Digest auth header parameters
    - Improve robustness of DNS code on reconfigure
    - Prevent slow memory leak in TCP DNS queries
    - Improve errors emitted when invalid ACLs are parsed
    - ext_time_quota_acl: remove -l option

 -- Bryce Harrington <bryce@canonical.com>  Tue, 29 Apr 2025 16:08:59 -0700

squid (6.10-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream version 6.10 (LP: #2073322):
    - Fix issue where successful tunnels were being logged as TCP_TUNNEL/500.
    - Fix a logic error when starting squid with the -a option, which could
      lead to a crash.
    - Fix marking of problematic cached IP addresses.
    - For a comprehensive list of changes, please see
      https://www.squid-cache.org/Versions/v6/squid-6.10-RELEASENOTES.html.
  * d/u/signing-key.asc: update keyring file. (Closes: #1084734)
  * Dropped changes:
    - SECURITY UPDATE: DoS via chunked decoder uncontrolled recursion bug
      + debian/patches/CVE-2024-25111.patch: fix infinite recursion in
        src/http.cc, src/http.h.
      + CVE-2024-25111
      [ Fixed in 6.8 ]
    - SECURITY UPDATE: DoS in ESI processing using multi-byte characters
      + debian/patches/CVE-2024-37894.patch: fix variable datatype to handle
        variables names outside standard ASCII characters
      + CVE-2024-37894
      [ Fixed in 6.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Mon, 09 Sep 2024 10:32:37 -0300

squid (6.6-1ubuntu5.1) noble-security; urgency=medium

  * SECURITY UPDATE: DoS in ESI processing using multi-byte characters
    - debian/patches/CVE-2024-37894.patch: fix variable datatype to handle
      variables names outside standard ASCII characters
    - CVE-2024-37894

 -- Vyom Yadav <vyom.yadav@canonical.com>  Sun, 07 Jul 2024 17:30:16 +0530

=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid
Build-Depends: ed
	, libltdl-dev
	, pkg-config
# The compiler dependencies are relevant for backporting.
	, g++ (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, gcc (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, debhelper-compat (= 13)
	, lsb-release
	, dh-apparmor
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libsystemd-dev [linux-any]
	, libtdb-dev
	, libxml2-dev
	, nettle-dev
	, libssl-dev

Package: squid
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl, ssl-cert
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Conflicts: squid-openssl
Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.

Package: squid-openssl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), lsb-base, libdbi-perl
Suggests: squidclient, squid-cgi, squid-purge, resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Conflicts: squid
Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.

Package: squid-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

Package: squidclient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ssl-cert, ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy) - HTTP(S) message utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to get URLs from the
 command line.

Package: squid-cgi
Architecture: any
Depends: apache2 | httpd, ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - control CGI
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a CGI program that can be used to query and administrate
 a `squid' proxy cache through a web browser.

Package: squid-purge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Full featured Web Proxy cache (HTTP proxy) - cache management utility
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains a small utility that can be used to manage the disk cache
 from the command line.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.squid-cache.org/Versions/v6/squid-([\.\d]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## squid 7.1

=== debian/changelog ===
squid (7.1-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 7.1 (Closes: #1097927, #1015670)

  * Drop binaries removed upstream
    - ntlm_smb_lm_auth (Fixes: CVE-2025-21311)
    - squid-purge
    - squid-cgi
    - squidclient

  * Remove workaround for CVE-2024-45802, integrated upstream.

  * debian/patches/
    - refresh patches for new version

 -- Luigi Gangitano <luigi@debian.org>  Mon, 14 Jul 2025 10:58:20 +0200

squid (6.13-2) unstable; urgency=low

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * debian/control
    - Bumped Standards-Version to 4.7.2, no change needed
    - Add Build-Dep on libcrypt-dev (Closes: #1106998)

  * debian/squid-openssl.links
    - Add symlink for man8 file

  * debian/squid.postrm
    - Remove no longer necessary workaround for Bug #984897

 -- Luigi Gangitano <luigi@debian.org>  Mon,  9 Jun 2025 10:35:20 +0200

squid (6.13-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 6.13 (Closes: #956581)

  * debian/watch
    - update for new upstream release location

  * debian/squid{,-openssl}.alternatives
    - switch alternatives priority (Closes: #1086537)

  * debian/squid.tmpfile
    - fix warning: The name debian/squid.tmpfile is deprecated
      please use debian/squid.tmpfiles instead

  * debian/NEWS
    - fix lintian warning syntax-error-in-debian-news-file

 -- Luigi Gangitano <luigi@debian.org>  Tue, 11 Feb 2025 12:35:20 +0100

=== debian/control ===
Source: squid
Section: web
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Santiago Garcia Mantinan <manty@debian.org>
Homepage: http://www.squid-cache.org
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/squid-team/squid.git
Vcs-Browser: https://salsa.debian.org/squid-team/squid
Rules-Requires-Root: binary-targets
Build-Depends: ed
	, libltdl-dev
	, pkgconf
# The compiler dependencies are relevant for backporting.
	, g++ (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, gcc (>= 5) <!cross> | clang (>= 3.8) <!cross>
	, debhelper-compat (= 13)
	, dh-apparmor
	, libcppunit-dev
	, libcap2-dev [linux-any]
	, libcrypt-dev
	, libecap3-dev (>= 1.0.1-2)
	, libexpat1-dev
	, libgnutls28-dev (>= 3.5)
	, libkrb5-dev, comerr-dev
	, libldap2-dev
	, libnetfilter-conntrack-dev [linux-any]
	, libpam0g-dev
	, libsasl2-dev
	, libsystemd-dev [linux-any]
	, libtdb-dev
	, libxml2-dev
	, nettle-dev
	, libssl-dev

Package: squid
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, adduser
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl
Suggests: resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
Recommends: libcap2-bin [linux-any], ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package provides Squid binaries supporting HTTPS features
 without SSL-Bump (HTTPS interception).

Package: squid-openssl
Architecture: any
Pre-Depends: ${misc:Pre-Depends}, squid (>= ${source:Version})
Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, ca-certificates
Description: Full featured Web Proxy cache (HTTP proxy OpenSSL flavour)
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package provides Squid binaries supporting full SSL-Bump features for
 with SSL-Bump (HTTPS interception) using OpenSSL.

Package: squid-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, squid-langpack (>= 20110214-1)
Description: Full featured Web Proxy cache (HTTP proxy) - common files
 Squid is a high-performance proxy caching server for web clients, supporting
 FTP, ICY and HTTP data objects.
 .
 This package contains common files (MIB and icons)

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations
export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=deprecated-declarations

ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
	DEB_LDFLAGS_MAINT_APPEND += -latomic
endif
export DEB_LDFLAGS_MAINT_APPEND

export DEB_BUILD_PARALLEL = yes
CXX_FOR_BUILD ?= $(CXX)

INSTALLDIR := $(CURDIR)/debian/tmp
datadir=/usr/share/squid

DEB_DH_INSTALL_SOURCEDIR := $(INSTALLDIR)
DEB_INSTALL_DOCS_squid-common := debian/copyright CONTRIBUTORS CREDITS QUICKSTART RELEASENOTES.html SPONSORS

BUILDINFO := $(shell ( grep PRETTY_NAME /etc/os-release | sed -e 's/PRETTY_NAME=//' -e 's/"//g' ) 2>/dev/null )

DEB_CONFIGURE_EXTRA_FLAGS := BUILDCXXFLAGS="$(CXXFLAGS) $(CPPFLAGS) $(LDFLAGS)" \
		BUILDCXX=$(CXX_FOR_BUILD) \
		--with-build-environment=default \
		--enable-build-info="$(BUILDINFO)" \
		--datadir=/usr/share/squid \
		--sysconfdir=/etc/squid \
		--libexecdir=/usr/lib/squid \
		--mandir=/usr/share/man \
		--enable-inline \
		--disable-arch-native \
		--enable-async-io=8 \
		--enable-storeio="ufs,aufs,diskd,rock" \
		--enable-removal-policies="lru,heap" \
		--enable-delay-pools \
		--enable-cache-digests \
		--enable-icap-client \
		--enable-follow-x-forwarded-for \
		--enable-auth-basic="DB,fake,getpwnam,LDAP,NCSA,PAM,POP3,RADIUS,SASL,SMB" \
		--enable-auth-digest="file,LDAP" \
		--enable-auth-negotiate="kerberos,wrapper" \
		--enable-auth-ntlm="fake" \
		--enable-external-acl-helpers="file_userip,kerberos_ldap_group,LDAP_group,session,SQL_session,time_quota,unix_group,wbinfo_group" \
		--enable-security-cert-validators="fake" \
		--enable-storeid-rewrite-helpers="file" \
		--enable-url-rewrite-helpers="fake" \
		--enable-eui \
		--enable-icmp \
		--enable-zph-qos \
		--enable-ecap \
		--disable-translation \
		--with-swapdir=/var/spool/squid \
		--with-logdir=/var/log/squid \
		--with-pidfile=/run/squid.pid \
		--with-filedescriptors=65536 \
		--with-large-files \
		--with-default-user=proxy

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-kqueue
endif
ifeq ($(DEB_HOST_ARCH_OS), linux)
		DEB_CONFIGURE_EXTRA_FLAGS += --enable-linux-netfilter --with-systemd
endif

DEB_MAKE_CLEAN_TARGET = distclean

%:
	dh $@

override_dh_auto_configure:
	mkdir -p debian/build-openssl
	# copy the source to build-openssl
	tar -cf - --exclude=debian/build* --exclude=.pc . \
		| tar -xf - -C debian/build-openssl
	# run buildconf and make sure to copy the patched ltmain.sh
	#for flavour in build build-gnutls build-nss; do \
	#	(cd debian/$$flavour && ./buildconf && cp ../../ltmain.sh .) \
	#done
	dh_auto_configure -- ${DEB_CONFIGURE_EXTRA_FLAGS} \
		--with-gnutls
	cd debian/build-openssl && dh_auto_configure -- ${DEB_CONFIGURE_EXTRA_FLAGS} \
		--with-openssl \
		--enable-ssl-crtd

override_dh_auto_build:
	dh_auto_build
	cd debian/build-openssl && dh_auto_build

override_dh_auto_test:
	-dh_auto_test
	-cd debian/build-openssl && dh_auto_test

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --destdir=$(INSTALLDIR)-openssl -- -C debian/build-openssl

execute_after_dh_auto_install:
	#
	mv $(INSTALLDIR)/usr/sbin/squid $(INSTALLDIR)/usr/sbin/squid-gnutls
	mv $(INSTALLDIR)-openssl/usr/sbin/squid $(INSTALLDIR)-openssl/usr/sbin/squid-openssl
	#
	# /etc/squid Details
	install -m 644 $(INSTALLDIR)/etc/squid/squid.conf.documented $(INSTALLDIR)/etc/squid/squid.conf
	install -m 755 -g root -d $(INSTALLDIR)/etc/squid/conf.d
	install -m 644 -g root debian/debian.conf $(INSTALLDIR)/etc/squid/conf.d/debian.conf
	#
	# FSM Paths
	install -m 755 -g root -d debian/squid/var/log
	install -m 750 -o proxy -g proxy -d debian/squid/var/log/squid
	install -m 755 -g root -d debian/squid/var/spool
	install -m 750 -o proxy -g proxy -d debian/squid/var/spool/squid
	#
	# apparmor Support
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/force-complain
	install -m 755 -g root -d $(INSTALLDIR)/etc/apparmor.d/disable
	install -m 644 -g root debian/usr.sbin.squid $(INSTALLDIR)/etc/apparmor.d
	dh_apparmor --profile-name=usr.sbin.squid -psquid
	#
	# logrotate Support
	install -m 755 -g root -d $(INSTALLDIR)/etc/logrotate.d
	install -m 644 -g root debian/squid.logrotate $(INSTALLDIR)/etc/logrotate.d/squid
	#
	# resolvconf Support
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf
	install -m 755 -g root -d $(INSTALLDIR)/etc/resolvconf/update-libc.d
	install -m 755 -g root debian/squid.resolvconf $(INSTALLDIR)/etc/resolvconf/update-libc.d/squid
	#
	# ufw Support
	install -m 755 -g root -d $(INSTALLDIR)/etc/ufw/applications.d
	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid

override_dh_install:
	dh_install -psquid -psquid-common --sourcedir=$(INSTALLDIR)
	dh_install -psquid-openssl --sourcedir=$(INSTALLDIR)-openssl

override_dh_auto_clean:
	$(RM) -r debian/build* debian/build-openssl debian/tmp*
	dh_auto_clean

# Disable dh_missing
override_dh_missing:

debian/copyright: debian/copyright.Debian CREDITS
	cat $^ | sed -e "s/59 Temple Place.* Suite 330/51 Franklin St, Fifth Floor/" -e "s/MA  \?02111[^, ]*/MA 02110-1301/" -e "s/675 Mass Ave/51 Franklin St, Fifth Floor/" -e "s/Cambridge, MA 02139/Boston, MA 02110-1301/" > $@

## squid 7.2

=== debian/changelog ===
squid (7.2-2ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2126018). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - d/rules: halt build upon test failures.
    - d/rules: do not include additional configuration files during
      build time tests. This would lead to test failures due to missing
      paths.
    - d/t/upstream-test-suite: use installed squid binary for
      autopkgtest config file checks.
    - d/source_squid.py, d/rules: Add apport hook (LP #676141)
  * New changes:
    - d/squid-openssl.links: fix broken manpage link for squid-openssl.
  * Dropped changes:
    - d/p/0009-Fix-Werror-alloc-size-larger-than-on-GCC-12.patch:
      Fix FTBFS due to -Werror=alloc-size-larger-than on GCC 12.
      [ Applied upstream in version 7.0.2 ]
    - d/p/0010-Fix-Werror-sign-compare-on-GCC-13.patch: fix comparison
      between signed and unsigned values.
      [ Applied upstream in version 7.0.2 ]
    - lp-2125118-*: Fix FTBFS with GCC-15 (LP #2125118)
      [ Applied upstream in version 7.0.2 ]
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP OIDs
      in lib/snmplib/asn1.c. (CVE-2025-59362)
      [ Applied upstream in version 7.2 ]
    - d/p/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h. (CVE-2025-62168)
      [ Applied upstream in version 7.2 ]
    - d/rules: disable LTO related compilation errors for ppc64el builds.
      [ No more needed in version 7.2-2 in resolute ]

 -- Renan Rodrigo <rr@ubuntu.com>  Wed, 26 Nov 2025 15:36:40 -0300

squid (7.2-2) unstable; urgency=high

  [ Luigi Gangitano <luigi@debian.org> ]
  * debian/patches/0008-upstream-ab5cf0c36b538627c82b3989d6c87d1668c7e081.patch
    - Added upstream patch fixing error on CONNECT to hosts starting with
      digit

 -- Luigi Gangitano <luigi@debian.org>  Thu, 23 Oct 2025 19:18:11 +0200

squid (7.2-1) unstable; urgency=high

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 7.2 (Closes: #1080997)
    Fixes: CVE-2025-62168. SQUID-2025:2 (Closes: #1118341)
    Fixes: CVE-2025-59362 (Closes: #1117048)

  * debian/watch
    - remove check for files no longer provided upstream

  * debian/control
    - support libkrb5 provided by krb5-multidev package

 -- Luigi Gangitano <luigi@debian.org>  Wed, 22 Oct	2025 16:58:20 +0200

squid (6.13-1ubuntu5) resolute; urgency=medium

  * SECURITY UPDATE: HTTP Authentication credential leak
    - debian/patches/CVE-2025-62168.patch: Add maskSensitiveInfo parameter to
      pack and pass it to packInto in src/HttpRequest.cc. Add maskSensitiveInfo
      to pack in src/HttpRequest.h. Adapt code with new parameter in
      src/client_side_reply.cc, and src/errorpage.cc. Remove request_hdr NULL
      assign in src/errorpage.h.
    - CVE-2025-62168

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Tue, 28 Oct 2025 14:58:21 -0230

squid (6.13-1ubuntu4) questing; urgency=medium

  * SECURITY UPDATE: ASN.1 encoding mishandling
    - debian/patches/CVE-2025-59362.patch: fix ASN.1 encoding of long SNMP
      OIDs in lib/snmplib/asn1.c.
    - CVE-2025-59362

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 03 Oct 2025 09:30:30 -0400

squid (6.13-1ubuntu3) questing; urgency=medium

  * lp-2125118-*: Fix FTBFS with GCC-15 (LP: #2125118)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 18 Sep 2025 15:59:23 +0200

squid (6.13-1ubuntu2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 May 2025 12:24:33 +0200

squid (6.13-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2097411). Remaining changes:
    - d/usr.sbin.squid: Add sections for squid-deb-proxy and
      squidguard
    - d/p/90-cf.data.ubuntu.patch: Add refresh patterns for deb
      packaging
    - Use snakeoil certificates:
      + d/control: add ssl-cert to dependencies
      + d/p/99-ubuntu-ssl-cert-snakeoil.patch: add a note about ssl
        to the default config file
    - d/NEWS: drop the NIS basic auth helper (LP #1895694)
    - d/p/0009-Fix-Werror-alloc-size-larger-than-on-GCC-12.patch:
      Fix FTBFS due to -Werror=alloc-size-larger-than on GCC 12.
    - d/rules: halt build upon test failures.
    - d/rules: do not include additional configuration files during
      build time tests. This would lead to test failures due to missing
      paths.
    - d/t/upstream-test-suite: use installed squid binary for
      autopkgtest config file checks.
    - d/p/0010-Fix-Werror-sign-compare-on-GCC-13.patch: fix comparison
      between signed and unsigned values.
    - d/rules: disable LTO related compilation errors for ppc64el builds.
    - d/source_squid.py, d/rules: Add apport hook (LP #676141)
  * Dropped changes:
    - d/p/0011-Fix-uninitialized-end-variable.patch: Fix FTBFS on
      uninitialized variable by adding null ptr checking.
      (LP: #2093295)
      [ Fixed in 6.13 ]

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Mon, 17 Feb 2025 15:54:27 -0300

squid (6.10-1ubuntu2) plucky; urgency=medium

  * d/p/0011-Fix-uninitialized-end-variable.patch: Fix FTBFS on
    uninitialized variable by adding null ptr checking.
    (LP: #2093295)

 -- Bryce Harrington <bryce@canonical.com>  Wed, 08 Jan 2025 15:41:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squid
 Section: web
 Priority: optional
-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
 Standards-Version: 4.7.2
@@ -22,7 +23,8 @@
 	, libecap3-dev (>= 1.0.1-2)
 	, libexpat1-dev
 	, libgnutls28-dev (>= 3.5)
-	, libkrb5-dev, comerr-dev
+	, libkrb5-dev | krb5-multidev
+	, comerr-dev
 	, libldap2-dev
 	, libnetfilter-conntrack-dev [linux-any]
 	, libpam0g-dev
@@ -36,7 +38,7 @@
 Package: squid
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}, adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl, ssl-cert
 Suggests: resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)

=== debian/rules ===
--- 
+++ 
@@ -88,9 +88,17 @@
 	dh_auto_build
 	cd debian/build-openssl && dh_auto_build
 
+execute_before_dh_auto_test:
+	# Do not include additional configuration files during tests. This would lead to failures due to missing paths.
+	sed -i 's|^\(include /etc/squid/conf\.d/\*\.conf\)|# \1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
+
 override_dh_auto_test:
-	-dh_auto_test
-	-cd debian/build-openssl && dh_auto_test
+	dh_auto_test
+	cd debian/build-openssl && dh_auto_test
+
+execute_after_dh_auto_test:
+	# Restore configuration file to its previous state.
+	sed -i 's|^# \(include /etc/squid/conf\.d/\*\.conf\)|\1|' src/squid.conf.default debian/build-openssl/src/squid.conf.default
 
 override_dh_auto_install:
 	dh_auto_install
@@ -133,6 +141,10 @@
 	install -m 644 -g root debian/squid.ufw.profile $(INSTALLDIR)/etc/ufw/applications.d/squid
 
 override_dh_install:
+	# Apport hook
+	dh_install -psquid-common debian/source_squid.py \
+		usr/share/apport/package-hooks/
+
 	dh_install -psquid -psquid-common --sourcedir=$(INSTALLDIR)
 	dh_install -psquid-openssl --sourcedir=$(INSTALLDIR)-openssl

## squid 7.4

=== debian/changelog ===
squid (7.4-1) unstable; urgency=medium

  [ Amos Jeffries <amosjeffries@squid-cache.org> ]
  * New Upstream Release 7.4

  * debian/control
    - Bumped Standards-Version to 4.7.3
    - Remove Priority field

  * debian/patches/
    - removed patches included upstream

 -- Luigi Gangitano <luigi@debian.org>  Thu,  1 Feb 2026 21:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: squid
 Section: web
-Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luigi Gangitano <luigi@debian.org>
+Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Santiago Garcia Mantinan <manty@debian.org>
 Homepage: http://www.squid-cache.org
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/squid-team/squid.git
 Vcs-Browser: https://salsa.debian.org/squid-team/squid
 Rules-Requires-Root: binary-targets
@@ -38,7 +36,7 @@
 Package: squid
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}, adduser
-Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl, ssl-cert
+Depends: ${shlibs:Depends}, ${misc:Depends}, netbase, logrotate (>= 3.5.4-1), squid-common (>= ${source:Version}), libdbi-perl
 Suggests: resolvconf (>= 0.40), smbclient, ufw, winbind, apparmor
 Recommends: libcap2-bin [linux-any], ca-certificates
 Description: Full featured Web Proxy cache (HTTP proxy GnuTLS flavour)

## squid redir

=== Makefile ===
.PHONY:	clean all install

DESTDIR=
SBINDIR=/usr/sbin
WWWDIR=/home/www
CGIBINDIR=$(WWWDIR)/cgi-bin
CGISBINDIR=$(CGIBINDIR)/admin
HTDOCSDIR=$(WWWDIR)/htdocs/squid_redir
SYSCONFDIR=/etc/squid

CC=gcc -Wall -Os -s
CFLAGS=-I/usr/local/pgsql/include
LDFLAGS=-L/usr/local/pgsql/lib
LIBS=-lpq

all:	Makefile squid_redir squid_redir_conf squid_redir_error

install:	all
	mkdir -p $(DESTDIR)$(SBINDIR) $(DESTDIR)$(CGIBINDIR) \
		$(DESTDIR)$(CGISBINDIR) $(DESTDIR)$(HTDOCSDIR) \
		$(DESTDIR)$(SYSCONFDIR)
	cp squid_redir $(DESTDIR)$(SBINDIR)
	cp squid_redir_conf $(DESTDIR)$(CGISBINDIR)
	cp squid_redir_error $(DESTDIR)$(CGIBINDIR)
	cp -i squid_redir.conf $(DESTDIR)$(SYSCONFDIR)
	chmod 600 $(DESTDIR)$(SYSCONFDIR)/squid_redir.conf
	cp pages/* $(DESTDIR)$(HTDOCSDIR)

squid_redir:	Makefile squid_redir.o db.o io.o str.o
	$(CC) $(LDFLAGS) $(LIBS) -o squid_redir squid_redir.o db.o io.o str.o

squid_redir.o:	Makefile squid_redir.c squid_redir.h defs.h db.h io.h str.h
	$(CC) $(CFLAGS) -c -o squid_redir.o squid_redir.c

squid_redir_error: Makefile squid_redir_error.o io.o cgi.o
	$(CC) $(LDFLAGS) -o squid_redir_error squid_redir_error.o io.o cgi.o

squid_redir_error.o:	Makefile squid_redir_error.c io.h cgi.h
	$(CC) $(CFLAGS) -c -o squid_redir_error.o squid_redir_error.c

squid_redir_conf:	Makefile squid_redir_conf.o cgi.o db.o io.o str.o
	$(CC) $(LDFLAGS) $(LIBS) -o squid_redir_conf squid_redir_conf.o \
		cgi.o db.o io.o str.o

squid_redir_conf.o:	Makefile squid_redir_conf.c squid_redir_conf.h \
			defs.h cgi.h db.h io.h str.h
	$(CC) $(CFLAGS) -c -o squid_redir_conf.o squid_redir_conf.c

cgi.o:	Makefile cgi.c cgi.h
	$(CC) -c -o cgi.o cgi.c

db.o:	Makefile db.c db.h
	$(CC) $(CFLAGS) -c -o db.o db.c

io.o:	Makefile io.c io.h
	$(CC) $(CFLAGS) -c -o io.o io.c

str.o:	Makefile str.c str.h io.h
	$(CC) $(CFLAGS) -c -o str.o str.c

squid_redir.tar.bz2:	clean
	cd .. && tar -cvyf squid_redir/squid_redir.tar.bz2 squid_redir/*

clean:
	-rm *.o squid_redir squid_redir_conf squid_redir_error \
		squid_redir.tar.bz2
